import chimera
from chimera import runCommand

from StructBio.StructureOverlap.sequencesLocalAlignment import SequencesLocalAlignment
from StructBio.Utilities.miscFunctions import userSpecificationOfChains
    
# -----------------------------------------------------------------------------
# Mainline:
# -----------------------------------------------------------------------------

standardRes_T = ("ALA","ARG","ASN","ASP","CYS","GLN","GLU","GLY","HIS","ILE",
                 "LEU","LYS","MET","PHE","PRO","SER","THR","TRP","TYR","VAL")

runCommand("set bg_color white")

[pProt, qProt] = userSpecificationOfChains(2)

pProtRes_L = []
for r in pProt.residues:
    if r.findAtom("CA"):
        if r.type not in standardRes_T: continue
        pProtRes_L.append(r)
        
qProtRes_L = []
for r in qProt.residues:
    if r.findAtom("CA"):
        if r.type not in standardRes_T: continue
        qProtRes_L.append(r)

aligner = SequencesLocalAlignment(pProtRes_L, qProtRes_L, 8)

print "   %4s       %4s" % (pProt.name, qProt.name)
for pair in aligner.alignment_L:
    print "%4d %3s   %4d %3s" % (pair[0].id.position, pair[0].type, pair[1].id.position, pair[1].type)

