import chimera
from chimera import runCommand

from StructBio.StructureOverlap.inertialAxisAlignment import InertialAxisAlignment
from StructBio.SSEs.tubesForSSEs import TubesForSSEs
from StructBio.Utilities.miscFunctions import userSpecificationOfChains

#==============================================================================
# Mainline:
#==============================================================================
runCommand("set bg_color white")

[protQ, protP] = userSpecificationOfChains(2)

axisAligner = InertialAxisAlignment(protP, protQ,  matchThreshold = 5.0,
                                    atomDistThreshold = 3.0, inertialAxisTolerance = 3.0,
                                    printingClosestPairs = True, printProgressiveQ = True) 

TubesForSSEs(protP, tolerance = 3.0, minLength = 3,
             helixTubeRadius = .3, helixTubeColor = (0.2,0.2,.8),
             strandTubeRadius = .3, strandTubeColor = (0.2, 0.2, .8))
TubesForSSEs(protQ, tolerance = 3.0, minLength = 3,
             helixTubeRadius = .3, helixTubeColor = (.7,.7,.7),
             strandTubeRadius = .3, strandTubeColor = (.7, .7, .7))

runCommand("focus")
